# Interface MergableObjectLocalEventArgs<T>

Represents event for change in local object.

interface MergableObjectLocalEventArgs<T> {
eventSource: Local;
local: T;
state: MergableObjectState;
}

#### Type Parameters

- T

##### Index

### Properties

eventSource
local
state

## Properties

### `Readonly` eventSource

eventSource: Local

Determines if the event was raised due to a change in the local or a remote object. Use in discriminant union checks to get type guard.

### `Readonly` local

local: T

Local representation of the object.

### `Readonly` state

state: MergableObjectState

State of the local object.